
global directory /Users/macbook/Dropbox/partitions_poland/REPLICATION/

clear
clear matrix
set mem 500m
set more off

cd $directory

use diagnoza_for_polish_partitions.dta, clear

gen age2=age*age
tab eduk4, gen(educ_4)
label var educ_41 " primary or less education "
label var educ_42 " between primary and secondary education "
label var educ_43 " secondary education "

gen x=longitude
gen y=latitude
gen x2=x*x
gen x3=x*x*x
gen y2=y*y
gen y3=y*y*y
gen xy=x*y
gen x2y=x2*y
gen xy2=x*y2
gen xRussia=x*Russia
gen yRussia=y*Russia

gen const=1
gen xcut1=4
gen ycut1=4

set more off


local sample3 (Russia|Austria )
local sample4 (prussia_notwt|Russia)

local name3 Russia_Austria_nowoj 
local name4 prussia_notwt_Russia

local basecont " year2009 year2011  altitude_GPS large_cities latitude longitude "

local empires3 "Austria   "
local empires4 "Prussia   "

local years  "year2009 year2011 "

local attitudes " going_tomess  prefer_democracy trust_government trust_police trust_courts norms  used_bribes  "
local outcomes_revision " log_hhincome "
local indcont " female age age2 married educ_41 educ_42 educ_43 "

local dist3 dist_austria_russia
local dist4 dist_russia_prussia_notwt

local polylin3  dist_austria_russia   Russia_dist_austria_russia 
local polylin4  dist_russia_prussia_notwt  Russia_dist_russia_prussianotwt 

local dell x2 y2 xy x3 y3 x2y xy2 

*** Drop Warsaw capital, as it is different 
drop if powiaty_code==1431|powiaty_code==1465


save temp2, replace



********************************************
*****************************************

***************RD PARAMETRIC CONTROLS - INDIVIDUAL LEVEL REGRESSIONS (APPENDIX)

*use temp2, clear

local isample=3
while "`sample`isample''"!="" {

	reg lunemp dist_russia_prussia  , cl(powiaty_code)
	outreg2 using "attitudes_`name`isample''.xls", replace ctitle(`dep' to replace ) bracket aster(se) se symbol(***, **, *) 

foreach dep in  `attitudes' `outcomes_revision' { 
*use temp2, clear

capture drop distance
gen distance =`dist`isample''
	
	reg `dep'  `empires`isample''  `basecont'  `polylin`isample''  `indcont' [aweight=lpop]   if `sample`isample'' & (abs(`dist`isample'')<=60), cl(powiaty_code)
	outreg2 using "attitudes_`name`isample''.xls", append ctitle(`dep' "RDlin") bracket aster(se) se symbol(***, **, *) 
	
	}
	


**** DELL
	
	foreach dep in  `attitudes' `outcomes_revision' { 
*use temp2, clear
capture drop distance
gen distance =`dist`isample''
	reg `dep'   `empires`isample'' `basecont'  `dell'  `indcont' /*[aweight=lpop]*/      if `sample`isample'' & (abs(`dist`isample'')<=60), cl(powiaty_code)
	outreg2 using "attitudes_`name`isample''.xls", append ctitle(`dep' "RDlin") bracket aster(se) se symbol(***, **, *) 

	
	}


local isample=`isample'+1
}


*/


***** TABLE CULTURAL LEGACIES COLLAPSED TO POWIATY LEVEL - MAIN TEXT
*******************************
*******************************
*******************************

collapse  x y  year lind_prod_capita altitude_GPS norms lunemp border_russia_prussia border_wt_prussianotwt border_russia_austria border_russia_prussia_notwt dist_russia_prussia_notwt Russia_dist_russia_prussianotwt  dist_austria_russia Russia_dist_austria_russia   lpop Austria Russia Prussia prussia_notwt border large_cities latitude longitude going_tomess  prefer_democracy trust_government  used_bribes trust_courts trust_police `dell' `outcomes_revision' [aweight=lpop] , by(powiaty_code)

save collapsed, replace


********** collapsed attitudes

local isample=3
while "`sample`isample''"!="" {
*use collapsed, clear
	reg lunemp dist_russia_prussia  , cl(powiaty_code)
	outreg2 using "attitude_collapsed_`name`isample''.xls", replace ctitle(`dep' to replace ) bracket aster(se) se symbol(***, **, *) 

foreach dep in  `attitudes' `outcomes_revision'  { 
*use collapsed, clear
capture drop distance
gen distance =`dist`isample''

	reg `dep'  `empires`isample''  altitude_GPS latitude longitude large_cities `polylin`isample''  /*[aweight=lpop] */        if `sample`isample'' & (abs(`dist`isample'')<=60)
	outreg2 using "attitude_collapsed_`name`isample''.xls", append ctitle(`dep' "RDlin") bracket aster(se) se symbol(***, **, *) 

	
	}


// DELL
foreach dep in  `attitudes'  `outcomes_revision' { 
*use collapsed, clear
capture drop distance
gen distance =`dist`isample''

	reg `dep'  `empires`isample''  altitude_GPS latitude longitude large_cities `dell'  /* [aweight=lpop] */        if `sample`isample'' & (abs(`dist`isample'')<=60)
	outreg2 using "attitude_collapsed_`name`isample''.xls", append ctitle(`dep' "RDlin") bracket aster(se) se symbol(***, **, *) 
	
	
}

local isample=`isample'+1
}


erase collapsed.dta
erase temp2.dta

*/


